# srp analysis

This is a command line interface analysis tool that analyses the response time and overall schedulability.

## Usage

The tool will run an example if no input file is given, see the Reading input from file section bellow for help or run the following for help.
```
srp_analysis --help
```
or 
```
srp_analysis -h
```

The output can be written to a file(see the "Writhing output to file" section bellow for help).

There is a `-j` or `--json` flag to output the data in json format.

### Reading input from file

Reading the input from file can be done by running one of the following commands.
```
sro_analysis -i <FILE PATH>
```
or 
```
sro_analysis --in-file <FILE PATH>
```

where `<FILE PATH>` is the relative path to input json file.

### Writhing output to file

Writhing the output to file can be done by running one of the following commands.
```
sro_analysis -o <FILE PATH>
```
or 
```
sro_analysis --out-file <FILE PATH>
```
where `<FILE PATH>` is the relative path to output file.

### Example

An example of using the file `example/input1.json` as input and outputting the result to a new file `example/output1.txt`.
```
srp_analysis -i example/input1.json -o example/output1.txt
```

