use std::fs::File;
use std::io::prelude::*;
use std::path::PathBuf;
use super::common::*;


/*
 * Write `contents` to the file `file`.
 */
pub fn write_to_file(contents: String, file: PathBuf) -> std::io::Result<()> {
    let mut file = File::create(file)?;
    file.write_all(contents.as_bytes())?;
    Ok(())
}

/*
 * Load the tasks from a json file `file`.
 */
pub fn load_tasks(file: PathBuf) -> Result<Tasks, String> {
    let mut serialized = String::new();
    match read_from_file(&mut serialized, &file) {
        Ok(_) => (),
        Err(_) => return Err(format!("Error: Invalid filepath {:?}", file)),
    };
    return Ok(serde_json::from_str(&serialized).unwrap());
}


/*
 * Read string from file `file` and store it in `contents`.
 */
pub fn read_from_file(contents: &mut String, file: &PathBuf) -> std::io::Result<()> {
    let mut file = File::open(file)?;
    file.read_to_string(contents)?;
    Ok(())
}

